package vip.xiaonuo.coldchain.core.event;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/12 15:31:05
 */

import lombok.Getter;
import org.springframework.context.ApplicationEvent;
import vip.xiaonuo.coldchain.core.bean.influxdb.SensorData;

@Getter
public class SensorDataEvent extends ApplicationEvent {

    private final SensorData sensorData;

    public SensorDataEvent(Object source, SensorData sensorData) {
        super(source);
        this.sensorData = sensorData;
    }

}
