package vip.xiaonuo.coldchain.modular.app.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/21 16:29:37
 */
@Data
public class DeviceStatus {
    @Schema(description = "设备总数")
    private int total = 0;
    @Schema(description = "在线设备总数")
    private int online = 0;
    @Schema(description = "离线设备总数")
    private int offline = 0;

    // 构造函数
    public DeviceStatus(int totalDevices, int onlineDevices, int offlineDevices) {
        this.total = totalDevices;
        this.online = onlineDevices;
        this.offline = offlineDevices;
    }

    public DeviceStatus() {
    }
}
