package vip.xiaonuo.coldchain.modular.app.param;

import lombok.Getter;

import java.util.function.Consumer;
import java.util.function.Supplier;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/12/9 09:39:13
 */
@Getter
public class FieldUpdate<T, V> {
    private final Consumer<T> setter;
    private final Supplier<V> valueSupplier;

    public FieldUpdate(Consumer<T> setter, Supplier<V> valueSupplier) {
        this.setter = setter;
        this.valueSupplier = valueSupplier;
    }

}
