package vip.xiaonuo.coldchain.modular.app.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.LinkedHashSet;
import java.util.List;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/12/10 14:00:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SensorEchartData {
    private LinkedHashSet<String> x = new LinkedHashSet<>();
    private List<Float> y = new ArrayList<>();

    public SensorEchartData(LinkedHashSet<String> x, List<Float> y) {
        this.x = x;
        this.y = y;
    }

    /**
     * 上限
     */
    private Float up;
    /**
     * 下限
     */
    private Float down;
}

