package vip.xiaonuo.coldchain.modular.monitortarget.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/21 16:29:37
 */
@Data
public class TargetStatus {
    @Schema(description = "设备总数")
    private long total = 0;
    @Schema(description = "在线设备总数")
    private long online = 0;
    @Schema(description = "离线设备总数")
    private long offline = 0;

    // 构造函数
    public TargetStatus(long totalDevices, long onlineDevices, long offlineDevices) {
        this.total = totalDevices;
        this.online = onlineDevices;
        this.offline = offlineDevices;
    }

}
