package vip.xiaonuo.coldchain.modular.push.entity;

import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
public class WeChatUser {
    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户唯一标识
     */
    private String openid;

    /**
     * access_token
     */
    private String accessToken;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 性别(0未知,1男性,2女性)
     */
    private String sex;

    /**
     * 用户省份
     */
    private String province;

    /**
     * 用户城市
     */
    private String city;

    /**
     * 国家
     */
    private String country;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 用户特权信息，json 数组
     */
    private String privilege;

    /**
     * unionid
     */
    private String unionid;

    /**
     * 创建用户
     */
    private String createUser;

    /**
     * 更新用户
     */
    private String updateUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;
}
