package vip.xiaonuo.coldchain.modular.push.param;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

@Getter
@Setter
public class AlarmRecoverPushParam {
    /**
     * 用户openId
     */
    private Set<String> userIdList = new HashSet<String>();
    /**
     * 设备名
     */
    private String deviceName;
    /**
     * 告警时间
     */
    private Date alarmTime;
    /**
     * 告警原因
     */
    private String alarmCause;
    /**
     * 恢复时间
     */
    private Date recoverTime;
    /**
     * 恢复原因
     */
    private String recoverCause;
    /**
     * 用户名
     */
    private String userName = "管理员";

    public AlarmRecoverPushParam() {
    }
}
