package vip.xiaonuo.coldchain.modular.qp.vo;

import lombok.Data;
import lombok.experimental.Accessors;

@Accessors(chain = true)
@Data
public class QpAlertConfigVo {

    /**
     * 配置id
     */
    private Long id;

    /**
     * 属性名（温度：temperature，湿度：humidity，二氧化碳：co2，电量：battery）
     */
    private String metric_name;

    /**
     * 运算符（lt小于，gt大于）
     */
    private String operator;

    /**
     * 阈值
     */
    private int threshold;

}
