package vip.xiaonuo.coldchain.core.alarm.service.messagepush;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/26 11:19:01
 */

import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarm;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description 统一的推送消息接口，定义了推送消息的方法
 * @date 2024/11/26
 */

public interface MessagePushService {

    /**
     * 发送告警消息
     *
     * @param alarm 告警信息
     */
    boolean sendAlarmMessage(SensorAlarm alarm);
}
