package vip.xiaonuo.coldchain.core.alarm.service.threshold;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/25 17:08:36
 */

import vip.xiaonuo.coldchain.core.alarm.bean.SensorThreshold;

/**
 * 获取传感器阈值范围的服务接口
 */
public interface ThresholdService {

    /**
     * 根据传感器 ID 获取对应的阈值范围
     *
     * @param sensorCode 传感器 ID
     * @param sensorNo   传感器 路数
     * @return 传感器的阈值范围
     */
    SensorThreshold getThresholdBySensorId(String sensorCode, Integer sensorNo);
}
