package vip.xiaonuo.coldchain.modular.app.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/12/12 14:56:07
 */
@Data
public class SensorIndicator {
    @Schema(description = "采集数据总数")
    private long totalCollected;
    @Schema(description = "预警总数")
    private long totalWarnings;
    @Schema(description = "异常总数")
    private long totalAbnormal;
    @Schema(description = "采集数据总数同比变化")
    private String collectedChange;
    @Schema(description = "预警同比变化")
    private String warningsChange;
    @Schema(description = "异常同比变化")
    private String abnormalChange;
}