package vip.xiaonuo.coldchain.modular.push.param;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

@Getter
@Setter
public class OfflinePushParam {
    /**
     * 用户openId
     */
    private Set<String> userIdList = new HashSet<String>();
    /**
     * 设备名
     */
    private String deviceName;
    /**
     * 设备状态（五个以内汉字）
     */
    private String status;
    /**
     * 设备位置
     */
    private String location;
    /**
     * 上线时间
     */
    private Date OfflineTime;

    /**
     * 用户名
     */
    private String userName = "管理员";

    public OfflinePushParam() {
    }
}
